
Imports System.Web.Configuration

Partial Class _Default
    Inherits System.Web.UI.Page
    Protected Sub LogoutButton_Click(sender As Object, e As EventArgs)
        FormsAuthentication.SignOut()
        Session.Clear()

        'clear authentication cookie
        'Dim cookie1 As HttpCookie = New HttpCookie(FormsAuthentication.FormsCookieName, "")
        'cookie1.Expires = DateTime.Now.AddYears(-1)
        'Response.Cookies.Add(cookie1)

        'clear session cookie 
        'Dim sessionStateSection As New SessionStateSection
        'SessionStateSection = WebConfigurationManager.GetSection("system.web/sessionState")
        'Dim cookie2 As HttpCookie = New HttpCookie(sessionStateSection.CookieName, "")
        'cookie2.Expires = DateTime.Now.AddYears(-1)
        'Response.Cookies.Add(cookie2)

    End Sub

    Protected Sub Unnamed_Load(sender As Object, e As EventArgs)
        Dim frm As HtmlIframe = sender
        frm.InnerText = "I frame is loading..."
    End Sub
End Class
